<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %><%-- 
--%><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%-- 
--%><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%-- 
--%><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %><%-- 
--%><jsp:include page="top.jsp" />

            <h1 class="title">Admin Console</h1>
            <p>Result of the last operation: '<em>${result}</em>'.</p>

            <h1>Deployed Applications</h1>
            <table class="bordered-table">
	          <tr>
		        <th>Name</th>
		        <th>Version</th>
	            <th>Origin</th>
		        <th>Date</th>
		        <th>Undeploy</th>
	          </tr>
	          <c:forEach var="application" items="${applications}">
		        <c:choose>
			      <c:when test="${application.type eq 'LegacyApplication'}">
		            <c:set var="type">non-OSGi Application</c:set>
			      </c:when>
			      <c:otherwise>
			        <c:set var="type">${application.type}</c:set>
			      </c:otherwise>
		        </c:choose>
		
				<c:choose>
			      <c:when test="${fn:contains(application.URI,'pickup')}">
		            <c:set var="origin">Hot Deployed</c:set>
			      </c:when>
			      <c:when test="${fn:contains(application.URI,'server.primordial')}">
		            <c:set var="origin">Admin Console</c:set>
			      </c:when>
			      <c:when test="${fn:contains(application.URI,'server.deployer')}">
		            <c:set var="origin">Programatic</c:set>
			      </c:when>
			      <c:otherwise>
			        <c:set var="origin">${application.URI}</c:set>
			      </c:otherwise>
		        </c:choose>
		
		        <tr>
			      <td class="sublevel1-even">${application.name}</td>
			      <td class="sublevel1-even">${application.version}</td>
			      <td class="sublevel1-even">${origin}</td>
			      <td class="sublevel1-even"><fmt:formatDate value="${application.deployTime}" type="both" dateStyle="medium" timeStyle="long" /></td>
			      <c:choose>
				    <c:when test="${fn:contains(application.name,'server.admin.web')}">
				      <td>(N/A)</td>
				    </c:when>
				    <c:otherwise>
				      <td><a href="<c:url value="undeploy.htm?path=${application.URI}" />" onclick="return confirm('Are you sure you want to undeploy ${application.name} ?');">undeploy</a></td>
				    </c:otherwise>
			      </c:choose>
		        </tr>
		        <tr>  
                  <td class="sublevel1-odd bordered-bottom" colspan="6">
                	<ul class="associated-modules">
                	  <li>Associated Modules:<br/>
                	    <table>
		                  <c:forEach var="module" items="${application.serverModuleInfo}">
			                <tr>
				              <c:set var="personality" value="${module.personality}" />
				              <c:if test="${personality eq null}">
				                <c:set var="personality" value="Regular Bundle" />
				              </c:if>
				                <td>${module.bundleSymbolicName}</td>
				                <td>(type: ${personality})</td>
				                <c:choose>
					              <c:when test="${module.personality eq 'WAR' or module.personality eq 'WEB' or module.personality eq 'War' or module.personality eq 'Web'}">
					                <td><a href="${module.personalityIdentifier}" target="_blank">${module.personalityIdentifier}</a></td>
					              </c:when>
					              <c:otherwise>
					                <td>${module.personalityIdentifier}</td>
					              </c:otherwise>
				                </c:choose>
			                  </tr>
		                    </c:forEach>
                	      </table>
                	    </li>
                      </ul>
                    </td>
                  </tr>			        
	            </c:forEach>
              </table>

            <h1>Deploy an Application</h1>
            <p>
            Select an application or bundle to upload and deploy to the server. Valid file formats: <em>jar</em>, <em>war</em>, <em>par</em>.
            </p>
            <form name="uploadForm" action="<c:url value="deploy.htm" />" method="post" enctype="multipart/form-data" onsubmit="return validateUploadForm();">
	            <table class="bordered-table">
	              <tr>
	                <th>Application Location</th>
	                <th></th>
	              </tr>
	 	          <tr>
			          <td><input type="file" name="application" size="80"/></td>
			          <td><input type="submit" value="Upload"/></td>
		          </tr>
	            </table>     
            </form>
            
            <h1>Information</h1>
            <h2>Server Properties</h2>
            <table class="bordered-table">
              <tr>
		        <th>Name</th>
		        <th>Value</th>
              </tr>
	          <c:choose>
		        <c:when test="${empty properties}">
			        <tr class="name-sublevel1-odd">
				      <td colspan="2">No properties have been registered.</td>
				    </tr>
		        </c:when>
		        <c:otherwise>
			      <c:forEach var="property" items="${properties}" varStatus="loopStatus">
			      	<c:set var="rowStyle" value="odd" scope="page" />
			      	<c:if test="${(loopStatus.index % 2) eq 0}"><c:set var="rowStyle" value="even" scope="page" /></c:if>
			        <tr class="sublevel1-${rowStyle}">
				      <td class="name-sublevel1-${rowStyle}">${property.key}</td>
				      <td>${property.value}</td>
				    </tr>
			      	<c:remove var="rowStyle" />
			      </c:forEach>
		        </c:otherwise>
	          </c:choose>
            </table> 
            
            <h2>Serviceability Destinations</h2>
            <table class="bordered-table">
              <tr>
		        <th>Name</th>
		        <th>Destination</th>
              </tr>
	          <c:choose>
		        <c:when test="${empty destinations}">
			        <tr class="name-sublevel1-odd">
				      <td colspan="2">No properties have been registered.</td>
				    </tr>
		        </c:when>
		        <c:otherwise>
			      <c:forEach var="dest" items="${destinations}" varStatus="loopStatus">
			      	<c:set var="rowStyle" value="odd" scope="page" />
			      	<c:if test="${(loopStatus.index % 2) eq 0}"><c:set var="rowStyle" value="even" scope="page" /></c:if>
			        <tr class="sublevel1-${rowStyle}">
				      <td class="name-sublevel1-${rowStyle}">${dest.key}</td>
				      <td>${dest.value}</td>
				    </tr>
			      	<c:remove var="rowStyle" />
			      </c:forEach>
		        </c:otherwise>
	          </c:choose>
            </table> 
<jsp:include page="bottom.jsp" />