#!/bin/bash

if [ -z "$JAVA_HOME" ]
then
    echo The JAVA_HOME environment variable is not defined
    exit 1
fi

SCRIPT="$0"

# SCRIPT may be an arbitrarily deep series of symlinks. Loop until we have the concrete path.
while [ -h "$SCRIPT" ] ; do 
  ls=`ls -ld "$SCRIPT"`
  # Drop everything prior to ->
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    SCRIPT="$link"
  else
    SCRIPT=`dirname "$SCRIPT"`/"$link"
  fi
done
 
SERVER_HOME=`dirname "$SCRIPT"`/..
. $SERVER_HOME/bin/setupClasspath.sh
SERVER_HOME=`cd $SERVER_HOME; pwd`

#parse args for the script
truststorePath=$SERVER_HOME/config/control/keystore
truststorePassword=changeit

shopt -s extglob

while (($# > 0))
	do
	case $1 in
	-truststore)
			truststorePath=$2
			shift;
			;;
	-truststorePassword)
			truststorePassword=$2
			shift;
			;;
	esac
	shift
done

JMX_OPTS=" \
	$JMX_OPTS \
	-Djavax.net.ssl.trustStore=${truststorePath} \
	-Djavax.net.ssl.trustStorePassword=${truststorePassword}"

$JAVA_HOME/bin/java $JAVA_OPTS $JMX_OPTS -classpath $CLASSPATH com.springsource.server.bootstrap.client.Shutdown $@